Package musicbrainz2 :: Module model :: Class AbstractAlias

[frames] | no frames]

# Class AbstractAlias

source code

    object --+
             |
            AbstractAlias

Known Subclasses:
  - ArtistAlias
  - , LabelAlias

An abstract super class for all alias classes.

Instance Methods

__init__(self, value=None, type_=None, script=None) Constructor. | source code

getValue(self) Returns the alias. | source code

setValue(self, value) Sets the alias. | source code

getType(self) Returns the alias type. | source code

setType(self, type_) Sets the alias type. | source code

getScript(self) Returns the alias script. | source code

setScript(self, script) Sets the alias script. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| value The alias value.
| type The alias type.
| script The alias script.
Inherited from `object`: `__class__`

Method Details

### __init__(self, value=None, type_=None, script=None)
(Constructor)

source code

Constructor.

Parameters:
  - `value` - a string containing the alias
  - `type_` - a string containing an absolute URI
  - `script` - a string containing an ISO-15924 script code
Overrides: object.__init__

### getValue(self)

source code

Returns the alias.

Returns:
  a string containing the alias

### setValue(self, value)

source code

Sets the alias.

Parameters:
  - `value` - a string containing the alias

### getType(self)

source code

Returns the alias type.

Returns:
  a string containing an absolute URI, or None

### setType(self, type_)

source code

Sets the alias type.

Parameters:
  - `type_` - a string containing an absolute URI, or None

### getScript(self)

source code

Returns the alias script.

Returns:
  a string containing an ISO-15924 script code

### setScript(self, script)

source code

Sets the alias script.

Parameters:
  - `script` - a string containing an ISO-15924 script code

Property Details

### value

The alias value.

Get Method:
  getValue(self) - Returns the alias.
Set Method:
  setValue(self, value) - Sets the alias.

### type

The alias type.

Get Method:
  getType(self) - Returns the alias type.
Set Method:
  setType(self, type_) - Sets the alias type.

### script

The alias script.

Get Method:
  getScript(self) - Returns the alias script.
Set Method:
  setScript(self, script) - Sets the alias script.